apiVersion: cilium.io/v2
kind: CiliumNetworkPolicy
metadata:
  name: allow-rabbitmq-traffic
  namespace: rabbitmq
spec:
  description: Allow access to the RabbitMQ cluster
  endpointSelector:
    matchLabels:
      app.kubernetes.io/component: rabbitmq
  ingress:
    - toPorts:
        - ports:
            - port: "5672"
            - port: "5671"
            - port: "5552"
            - port: "5551"
            - port: "15672"
            - port: "15671"
            - port: "61613"
            - port: "61614"
            - port: "1883"
            - port: "8883"
            - port: "15674"
            - port: "15675"
            - port: "15692"
            - port: "15691"
